Get routing rule

Returns a specific routing rule by ID.

GET
/api/governance/routing-rules/{rule_id}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

rule_idstring

Routing rule ID

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/governance/routing-rules/string"
{
  "rule": {
    "id": "string",
    "name": "string",
    "description": "string",
    "enabled": true,
    "cel_expression": "string",
    "targets": [
      {
        "provider": "string",
        "model": "string",
        "key_id": "string",
        "weight": 0.5
      }
    ],
    "fallbacks": [
      "string"
    ],
    "scope": "global",
    "scope_id": "string",
    "priority": 0,
    "query": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings